<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CityMapper.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">com.m2.tiila.weather.mapper</a> &gt; <span class="el_source">CityMapper.java</span></div><h1>CityMapper.java</h1><pre class="source lang-java linenums">package com.m2.tiila.weather.mapper;

import com.m2.tiila.weather.entity.CityEntity;
import dto.weatherapi.City;

<span class="nc" id="L6">public class CityMapper {</span>
    public static City toDto(CityEntity cityEntity) {
<span class="fc" id="L8">        City dto = new City();</span>

<span class="fc" id="L10">        dto.setId(cityEntity.getId());</span>
<span class="fc" id="L11">        dto.setName(cityEntity.getName());</span>
<span class="fc" id="L12">        dto.setRegion(cityEntity.getRegion());</span>
<span class="fc" id="L13">        dto.setCountry(cityEntity.getCountry());</span>
<span class="fc" id="L14">        dto.setPosteCode(cityEntity.getPosteCode());</span>

<span class="fc" id="L16">        return dto;</span>
    }

    public static CityEntity toEntity(City city) {
<span class="fc" id="L20">        CityEntity cityEntity = new CityEntity();</span>

<span class="fc" id="L22">        cityEntity.setId(city.getId());</span>
<span class="fc" id="L23">        cityEntity.setName(city.getName());</span>
<span class="fc" id="L24">        cityEntity.setRegion(city.getRegion());</span>
<span class="fc" id="L25">        cityEntity.setCountry(city.getCountry());</span>
<span class="fc" id="L26">        cityEntity.setPosteCode(city.getPosteCode());</span>

<span class="fc" id="L28">        return cityEntity;</span>
    }
}


</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>